Bug 68825 - anaconda assigns wrong ethernet driver to a Dechip based card
anaconda assigns wrong ethernet driver to a Dechip based card
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-14 17:39 EDT by Olaf Schnapauff
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-14 21:56:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olaf Schnapauff 2002-07-14 17:39:08 EDT
Description of Problem:

During install anaconda detects this card:

00:0a.0 Ethernet controller: Digital Equipment Corporation DECchip 21142/43 (rev 21)
	Subsystem: Cogent Data Technologies, Inc. ANA-6911A/TXC Fast Ethernet
	Flags: bus master, medium devsel, latency 96, IRQ 9
	I/O ports at d600 [size=128]
	Memory at effffe80 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at eff80000 [disabled] [size=256K]

and assigns the tulip driver to it. this fails to correctly initialize
the card, it does not get a link (its a 10/100 tp and bnc combo card).
Jul 14 22:14:01 localhost kernel: Linux Tulip driver version 0.9.15-pre11 (May
11, 2002)
Jul 14 22:14:01 localhost kernel: AMD756: dev 1011:0019, router pirq : 3 get irq
:  9
Jul 14 22:14:01 localhost kernel: PCI: Found IRQ 9 for device 00:0a.0
Jul 14 22:14:01 localhost kernel: tulip0:  EEPROM default media type Autosense.
Jul 14 22:14:01 localhost kernel: tulip0:  Index #0 - Media MII (#11) described
by a 21142 MII PHY (3) block.
Jul 14 22:14:01 localhost kernel: tulip0:  Index #1 - Media 10base2 (#1)
described by a 21142 Serial PHY (2) block.
Jul 14 22:14:01 localhost kernel: tulip0:  MII transceiver #1 config 3100 status
7849 advertising 0101.
Jul 14 22:14:01 localhost kernel: eth0: Digital DS21143 Tulip rev 33 at
0xd08f7e80, 00:00:D1:10:6F:56, IRQ 9.

It is detected, but no link 

This results in inability to network install, inability to use 
networking after install. 

To fix: Use de4x5 driver. This correctly initialises the card. 

 14 23:32:01 localhost kernel: eth0: DC21143 at 0xd600 (PCI bus 0, device 10),
h/w address 00:00:d1:10:6f:56,
Jul 14 23:32:01 localhost kernel:       and requires IRQ9 (provided by PCI BIOS).
Jul 14 23:32:01 localhost kernel: de4x5.c:V0.546 2001/02/22
davies@maniac.ultranet.com
Jul 14 23:32:01 localhost /etc/hotplug/net.agent: invoke ifup eth0
Jul 14 23:32:04 localhost modprobe: modprobe: Can't locate module eth1
Jul 14 23:32:04 localhost modprobe: modprobe: Can't locate module eth2
Jul 14 23:32:04 localhost modprobe: modprobe: Can't locate module eth3
Jul 14 23:32:04 localhost modprobe: modprobe: Can't locate module eth4
Jul 14 23:32:04 localhost modprobe: modprobe: Can't locate module eth5
Jul 14 23:32:04 localhost modprobe: modprobe: Can't locate module eth6
Jul 14 23:32:04 localhost modprobe: modprobe: Can't locate module eth7
Jul 14 23:32:05 localhost kernel: eth0: media is 100Mb/s.
Jul 14 23:32:09 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 5
Jul 14 23:32:09 localhost dhclient: DHCPOFFER from 192.168.1.253

lspci -x

00:0a.0 Ethernet controller: Digital Equipment Corporation DECchip 21142/43 (rev 21)
00: 11 10 19 00 17 01 80 02 21 00 00 02 08 60 00 00
10: 01 d6 00 00 80 fe ff ef 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 09 11 00 2b
30: 00 00 f8 ef 00 00 00 00 00 00 00 00 09 01 14 28
Comment 1 Bill Nottingham 2002-07-14 21:56:21 EDT
The driver fails to work somewhat randomly depending on the card revision and
what sort of hub/switch it's attached to. I'm not sure there's much we can do
about this. :(
Comment 2 Jeremy Katz 2002-07-17 01:09:44 EDT
If you boot with linux noprobe, you can manually select to load a driver disk
(drvnet.img) and use the other driver for this card.

Note You need to log in before you can comment on or make changes to this bug.